crashpad::PEImageAnnotationsReader Class Reference

A reader of annotations stored in a PE image mapped into another process. More...

`#include "snapshot/win/pe_image_annotations_reader.h"`

## Public Member Functions

| PEImageAnnotationsReader (ProcessReaderWin *process_reader, const PEImageReader *pe_image_reader, const std::wstring &name)
| Constructs the object. More...
std::map< std::string, std::string > | SimpleMap () const
| Returns the module's annotations that are organized as key-value pairs, where all keys and values are strings.
std::vector< AnnotationSnapshot > | AnnotationsList () const
| Returns the module's annotations that are organized as a list of typed annotation objects.

## Detailed Description

A reader of annotations stored in a PE image mapped into another process.

These annotations are stored for the benefit of crash reporters, and provide information thought to be potentially useful for crash analysis.

Currently, this class can decode information stored only in the CrashpadInfo structure. This format is used by Crashpad clients. The "simple annotations" are recovered from any module with a compatible data section, and are included in the annotations returned by SimpleMap().

## Constructor & Destructor Documentation

## PEImageAnnotationsReader()

crashpad::PEImageAnnotationsReader::PEImageAnnotationsReader | ( | ProcessReaderWin * | process_reader,
|  | const PEImageReader * | pe_image_reader,
|  | const std::wstring & | name
| ) |  |

Constructs the object.

Parameters

  [in] | process_reader | The reader for the remote process.
  [in] | pe_image_reader | The PEImageReader for the PE image file contained within the remote process.
  [in] | name | The module's name, a string to be used in logged messages. This string is for diagnostic purposes only, and may be empty.

The documentation for this class was generated from the following files:

- snapshot/win/pe_image_annotations_reader.h
- snapshot/win/pe_image_annotations_reader.cc